Get wallet address record

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to retrieve a wallet record from the Wallet Address Book (WAB).

Request example

curl -X GET \
     'https://api.sumsub.com/resources/api/tr/walletAddress?value=sfsdfsdfsfsdfdsfds' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

The response is a JSON object that represents the wallet address data retrieved from the WAB.

FieldTypeDescription
walletAddressHashStringWallet address hash.
walletAddressStringWallet address.
createdAtDateDate and time the wallet address record was created in the WAB (for example, 2026-05-12 09:28:35+0000).
sourceString (Enum)The source the record was retrieved from.
  • api — imported via the API.
  • dashboard — added through the Dashboard.
  • snsConfirmation — added when a Sumsub client confirmed wallet ownership through the SNS protocol.
  • applicantPaymentsApi — added when a Sumsub client created a cryptoWallet payment method via the Applicant Payments API.
  • vaspLookup — retrieved from a VASP.
  • applicantData — retrieved from applicant data.

Response examples

If the request is successfully sent and processed, you will get a response like the following:

{
  "walletAddressHash": "/x4bC/jRwDYK0IUhkBAjDb52qzokxgn6J8hxVOOxtO8=",
  "walletAddress": "sfsdfsdfsfsdfdsfds",
  "createdAt": "2026-05-12 09:28:35+0000",
  "source": "dashboard"
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "description": "Human-readable description",
  "correlationId": "0d3457fdac54803edf23c90000000000"
}

Query Params
string
required
Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!